Bug 186474 - Targetted FTP policy does not prevent user from reading/writing from home directory
Targetted FTP policy does not prevent user from reading/writing from home dir...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 14:40 EST by rambler8
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 11:03:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rambler8 2006-03-23 14:40:12 EST
In the Security Level Configuration GUI, in the FTP section of the SELinux 
Policy, the option "Allow ftp to read/write files in the user home directories" 
is unchecked by default. 

If the SELinux Setting is Enforcing with this setting, a local user logging in 
to the vsftpd server can still read and write files in his home directory. 
However, the user is prevented from creating new directories as expected.

The following selinux packages are installed:

libselinux-1.29.7-1.2
libselinux-devel-1.29.7-1.2
libselinux-python-1.29.7-1.2
selinux-policy-2.2.23-15
selinux-policy-targeted-2.2.23-15
Comment 1 Daniel Walsh 2006-04-03 12:36:12 EDT
Fixed in selinux-policy-2.2.29-2.fc5
Comment 3 Daniel Walsh 2006-05-05 11:03:19 EDT
Closing as these have been marked as modified, for a while.  Feel free to reopen
if not fixed

Note You need to log in before you can comment on or make changes to this bug.